{
    "$graph": [
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "registry.gitlab.com/uc-cdis/genomel-secondary-analysis/gatk3.7-0-gcfedb67:1.0"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#gatk3_indelrealigner.cwl/bam_path"
                },
                {
                    "type": "string",
                    "id": "#gatk3_indelrealigner.cwl/job_uuid"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#gatk3_indelrealigner.cwl/known_indel1"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#gatk3_indelrealigner.cwl/known_indel2"
                },
                {
                    "type": "File",
                    "id": "#gatk3_indelrealigner.cwl/realigner_target"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".fai",
                        "^.dict"
                    ],
                    "id": "#gatk3_indelrealigner.cwl/reference"
                }
            ],
            "baseCommand": [],
            "arguments": [
                {
                    "position": 0,
                    "shellQuote": false,
                    "valueFrom": "/usr/bin/time -f \\\"{\\\"real_time\\\": \\\"%E\\\", \\\"user_time\\\": %U, \\\"system_time\\\": %S, \\\"wall_clock\\\": %e, \\\"maximum_resident_set_size\\\": %M, \\\"average_total_mem\\\": %K, \\\"percent_of_cpu\\\": \\\"%P\\\"}\\\" -o $(inputs.job_uuid + '.gatk3_indelrealigner.time.json') java -Xmx100G -jar /opt/GenomeAnalysisTK.jar -T IndelRealigner -I $(inputs.bam_path.path) -R $(inputs.reference.path) -known $(inputs.known_indel1.path) -known $(inputs.known_indel2.path) -targetIntervals $(inputs.realigner_target.path) -o $(inputs.job_uuid + '.harmonized.realigned.bam') -compress 7 -rf NotPrimaryAlignment"
                }
            ],
            "id": "#gatk3_indelrealigner.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.job_uuid + '.harmonized.realigned.bam')"
                    },
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#gatk3_indelrealigner.cwl/realigned_bam"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.job_uuid + '.gatk3_indelrealigner.time.json')"
                    },
                    "id": "#gatk3_indelrealigner.cwl/time_metrics"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "registry.gitlab.com/uc-cdis/genomel-secondary-analysis/gatk3.7-0-gcfedb67:1.0"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#gatk3_leftalignindels.cwl/bam_path"
                },
                {
                    "type": "string",
                    "id": "#gatk3_leftalignindels.cwl/job_uuid"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".fai",
                        "^.dict"
                    ],
                    "id": "#gatk3_leftalignindels.cwl/reference"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.job_uuid + 'harmonized.left_aligned.bam')"
                    },
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#gatk3_leftalignindels.cwl/left_aligned_bam"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.job_uuid + '.gatk3_leftalignindels.time.json')"
                    },
                    "id": "#gatk3_leftalignindels.cwl/time_metrics"
                }
            ],
            "baseCommand": [],
            "arguments": [
                {
                    "position": 0,
                    "shellQuote": false,
                    "valueFrom": "/usr/bin/time -f \\\"{\\\"real_time\\\": \\\"%E\\\", \\\"user_time\\\": %U, \\\"system_time\\\": %S, \\\"wall_clock\\\": %e, \\\"maximum_resident_set_size\\\": %M, \\\"average_total_mem\\\": %K, \\\"percent_of_cpu\\\": \\\"%P\\\"}\\\" -o $(inputs.job_uuid + '.gatk3_leftalignindels.time.json') java -Xmx100G -jar /opt/GenomeAnalysisTK.jar -T LeftAlignIndels -I $(inputs.bam_path.path) -R $(inputs.reference.path) -o $(inputs.job_uuid + 'harmonized.left_aligned.bam')"
                }
            ],
            "id": "#gatk3_leftalignindels.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "registry.gitlab.com/uc-cdis/genomel-secondary-analysis/gatk3.7-0-gcfedb67:1.0"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#gatk3_realignertargetcreator.cwl/bam_path"
                },
                {
                    "type": "string",
                    "id": "#gatk3_realignertargetcreator.cwl/job_uuid"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#gatk3_realignertargetcreator.cwl/known_indel1"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#gatk3_realignertargetcreator.cwl/known_indel2"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".fai",
                        "^.dict"
                    ],
                    "id": "#gatk3_realignertargetcreator.cwl/reference"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.job_uuid + '.realigner_target.intervals')"
                    },
                    "id": "#gatk3_realignertargetcreator.cwl/realigner_target"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.job_uuid + '.gatk3_realignertargetcreator.time.json')"
                    },
                    "id": "#gatk3_realignertargetcreator.cwl/time_metrics"
                }
            ],
            "baseCommand": [],
            "arguments": [
                {
                    "position": 0,
                    "shellQuote": false,
                    "valueFrom": "/usr/bin/time -f \\\"{\\\"real_time\\\": \\\"%E\\\", \\\"user_time\\\": %U, \\\"system_time\\\": %S, \\\"wall_clock\\\": %e, \\\"maximum_resident_set_size\\\": %M, \\\"average_total_mem\\\": %K, \\\"percent_of_cpu\\\": \\\"%P\\\"}\\\" -o $(inputs.job_uuid + '.gatk3_realignertargetcreator.time.json') java -Xmx100G -jar /opt/GenomeAnalysisTK.jar -T RealignerTargetCreator -nt 30 -I $(inputs.bam_path.path) -R $(inputs.reference.path) -known $(inputs.known_indel1.path) -known $(inputs.known_indel2.path) -o $(inputs.job_uuid + '.realigner_target.intervals')"
                }
            ],
            "id": "#gatk3_realignertargetcreator.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#main/bam_path"
                },
                {
                    "type": "string",
                    "id": "#main/job_uuid"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/known_indel1"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/known_indel2"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".fai",
                        "^.dict"
                    ],
                    "id": "#main/reference"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/gatk3_indelrealigner/realigned_bam",
                    "id": "#main/harmonized_realigned_bam"
                },
                {
                    "type": "File",
                    "outputSource": "#main/gatk3_indelrealigner/time_metrics",
                    "id": "#main/time_metrics_from_gatk3_indelrealigner"
                },
                {
                    "type": "File",
                    "outputSource": "#main/gatk3_leftalignindels/time_metrics",
                    "id": "#main/time_metrics_from_gatk3_leftalignindels"
                },
                {
                    "type": "File",
                    "outputSource": "#main/gatk3_realignertargetcreator/time_metrics",
                    "id": "#main/time_metrics_from_gatk3_realignertargetcreator"
                }
            ],
            "steps": [
                {
                    "run": "#gatk3_indelrealigner.cwl",
                    "in": [
                        {
                            "source": "#main/gatk3_leftalignindels/left_aligned_bam",
                            "id": "#main/gatk3_indelrealigner/bam_path"
                        },
                        {
                            "source": "#main/job_uuid",
                            "id": "#main/gatk3_indelrealigner/job_uuid"
                        },
                        {
                            "source": "#main/known_indel1",
                            "id": "#main/gatk3_indelrealigner/known_indel1"
                        },
                        {
                            "source": "#main/known_indel2",
                            "id": "#main/gatk3_indelrealigner/known_indel2"
                        },
                        {
                            "source": "#main/gatk3_realignertargetcreator/realigner_target",
                            "id": "#main/gatk3_indelrealigner/realigner_target"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/gatk3_indelrealigner/reference"
                        }
                    ],
                    "out": [
                        "#main/gatk3_indelrealigner/realigned_bam",
                        "#main/gatk3_indelrealigner/time_metrics"
                    ],
                    "id": "#main/gatk3_indelrealigner"
                },
                {
                    "run": "#gatk3_leftalignindels.cwl",
                    "in": [
                        {
                            "source": "#main/bam_path",
                            "id": "#main/gatk3_leftalignindels/bam_path"
                        },
                        {
                            "source": "#main/job_uuid",
                            "id": "#main/gatk3_leftalignindels/job_uuid"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/gatk3_leftalignindels/reference"
                        }
                    ],
                    "out": [
                        "#main/gatk3_leftalignindels/left_aligned_bam",
                        "#main/gatk3_leftalignindels/time_metrics"
                    ],
                    "id": "#main/gatk3_leftalignindels"
                },
                {
                    "run": "#gatk3_realignertargetcreator.cwl",
                    "in": [
                        {
                            "source": "#main/gatk3_leftalignindels/left_aligned_bam",
                            "id": "#main/gatk3_realignertargetcreator/bam_path"
                        },
                        {
                            "source": "#main/job_uuid",
                            "id": "#main/gatk3_realignertargetcreator/job_uuid"
                        },
                        {
                            "source": "#main/known_indel1",
                            "id": "#main/gatk3_realignertargetcreator/known_indel1"
                        },
                        {
                            "source": "#main/known_indel2",
                            "id": "#main/gatk3_realignertargetcreator/known_indel2"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/gatk3_realignertargetcreator/reference"
                        }
                    ],
                    "out": [
                        "#main/gatk3_realignertargetcreator/realigner_target",
                        "#main/gatk3_realignertargetcreator/time_metrics"
                    ],
                    "id": "#main/gatk3_realignertargetcreator"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
